//	TWI(I2C){색Cu
//	wt]xH쎺	http://jsdiy.web.fc2.com

#ifndef TWILIB_H_
#define TWILIB_H_

extern	void	TWI_Init();
/*
TWI(I2C)̃WX^ݒ肷
scl[Hz] = cpu[Hz] / (16 + 2 * TWBR * prescale)  TWBR = (F_CPU / scl - 16) / (2 * prescale)
FTWBR = (8MHz / 400kHz - 16) / (2 * prescale) = 4 / (2 * 1) = 2, prescale=1
FTWBR = (1MHz / 50kHz - 16) / (2 * prescale) = 4 / (2 * 1) = 2, prescale=1

Ⴆmain()郂W[Ŏ̂悤ɒ`AsB
void	TWI_Init()
{
	//TWBR = (F_CPU / scl - 16) / (2 * prescale)
	//TWSR:TWPS1,0 = 00:1, 01:4, 10:16, 11:64
	
	TWBR = (F_CPU / 50000UL - 16) / (2 * 1);	//50kHz
	TWSR = (0b00 << TWPS0);
}
*/

uint8_t	TWI_Start();
uint8_t	TWI_SlaveAddrW(uint8_t adrs);
uint8_t	TWI_SlaveAddrR(uint8_t adrs);
uint8_t	TWI_WriteByte(uint8_t data);
uint8_t	TWI_ReadByte(uint8_t retAck, uint8_t* data);
void	TWI_Stop();

#endif	//TWILIB_H_
